/*
 * U-boot - flash-defines.h
 *
 * Copyright (c) 2017 Kaneko System Co., Ltd.
 * Copyright (c) 2005-2007 Analog Devices Inc.
 *
 * (C) Copyright 2000-2004
 * Wolfgang Denk, DENX Software Engineering, wd@denx.de.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301 USA
 */

#ifndef __FLASHDEFINES_H__
#define __FLASHDEFINES_H__

#include <common.h>

#define BUFFER_SIZE		0x80000
#define FLASH_SIZE		0x100000
#define SECTOR_SIZE		0x10000
#define NUM_SECTORS		CONFIG_SYS_MAX_FLASH_SECT

#define WRITESEQ1		(0x5555*2)
#define WRITESEQ2		(0x2AAA*2)
#define WRITESEQ3		(0x5555*2)
#define WRITESEQ4		(0x5555*2)
#define WRITESEQ5		(0x2AAA*2)
#define WRITESEQ6		(0x5555*2)
#define WRITEDATA1		0xAA
#define WRITEDATA2		0x55
#define WRITEDATA3		0xA0
#define ERASEDATA1		0xAA
#define ERASEDATA2		0x55
#define ERASEDATA3		0x80
#define ERASEDATA4		0xAA
#define ERASEDATA5		0x55
#define ERASEDATA6		0x50
#define GETCODEDATA1		0xAA
#define GETCODEDATA2		0x55
#define GETCODEDATA3		0x90
#define EXITENTRY1		0xAA
#define EXITENTRY2		0x55
#define EXITENTRY3		0xF0

#define FLASH_SUCCESS	0
#define FLASH_FAIL	-1

#endif
